ChangeSet 1.1358.21.2, 2003/07/13 12:47:21-04:00, scottm@minion.yyz.somanetworks.com

[CPCI] Kconfig tweak

Changed CONFIG_HOTPLUG_PCI_CPCI to a bool instead of a
tristate to match how it is used in the makefiles.  The
board specific driver options have hadd their "depends on"
lines updated to have HOTPLUG_PCI first so that they will
work as expected.


 drivers/pci/hotplug/Kconfig |   11 +++--------
 1 files changed, 3 insertions(+), 8 deletions(-)


diff -Nru a/drivers/pci/hotplug/Kconfig b/drivers/pci/hotplug/Kconfig
--- a/drivers/pci/hotplug/Kconfig	Mon Jul 14 16:55:47 2003
+++ b/drivers/pci/hotplug/Kconfig	Mon Jul 14 16:55:47 2003
@@ -99,22 +99,17 @@
 	  When in doubt, say N.
 
 config HOTPLUG_PCI_CPCI
-	tristate "CompactPCI Hotplug driver"
+	bool "CompactPCI Hotplug driver"
 	depends on HOTPLUG_PCI
 	help
 	  Say Y here if you have a CompactPCI system card with CompactPCI
 	  hotswap support per the PICMG 2.1 specification.
 
-	  This code is also available as a module ( = code which can be
-	  inserted in and removed from the running kernel whenever you want).
-	  The module will be called cpci_hotplug. If you want to compile it
-	  as a module, say M here and read <file:Documentation/modules.txt>.
-
 	  When in doubt, say N.
 
 config HOTPLUG_PCI_CPCI_ZT5550
 	tristate "Ziatech ZT5550 CompactPCI Hotplug driver"
-	depends on HOTPLUG_PCI_CPCI && X86
+	depends on HOTPLUG_PCI && HOTPLUG_PCI_CPCI && X86
 	help
 	  Say Y here if you have an Performance Technologies (formerly Intel,
           formerly just Ziatech) Ziatech ZT5550 CompactPCI system card.
@@ -128,7 +123,7 @@
 
 config HOTPLUG_PCI_CPCI_GENERIC
 	tristate "Generic port I/O CompactPCI Hotplug driver"
-	depends on HOTPLUG_PCI_CPCI && X86
+	depends on HOTPLUG_PCI && HOTPLUG_PCI_CPCI && X86
 	help
 	  Say Y here if you have a CompactPCI system card that exposes the #ENUM
 	  hotswap signal as a bit in a system register that can be read through
